Joomla Upgrade:

Is your website version left behind? or Your developer left you behind? or perhaps you are affraid to update to latest patches, extensions and versions?

To prevent your website to downtime then you need to update to secure your website from getting hacked. Most websited hacked due to old patches and old versions.

I can upgrade your website to latest version without affecting your datas. (Ex: Joomla 1.5.xxx to Joomla 2.5.xxxx)

Welcome to CIT-ECE-GROUP